class CLASS_NAME(ImplUpdateSlot):
    def name(self):
        return "CONDITION_ID"

    def process(self, recorder, args):
        """
        check_update and update from values of recorder
        :param recorder: Recorder
        :param args: args
        :return: Any
        :desc: CONDITION_DESC
        """
        return None

    def slots_for_init_text(self) -> list:
        return []
